Retrieve a metafield definition validation type
get
/api/metafield_definition_validation_types/{id} Retrieves a MetafieldDefinitionValidationType resource.
Returns a single metafield definition validation type by id.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | required | MetafieldDefinitionValidationType identifier |
Response
200 - MetafieldDefinitionValidationType resource
| Property | Type | Required | Description |
|---|---|---|---|
@context | object | - | |
@id | string | required | |
@type | string | required | |
id | string | - | The validation type identifier (e.g. max_length). |
description | string | - | A human-readable description of the validation type. |
| Property | Type | Required | Description |
|---|---|---|---|
id | string | - | The validation type identifier (e.g. max_length). |
description | string | - | A human-readable description of the validation type. |
Errors
404 - Not found
| Property | Type | Required | Description |
|---|---|---|---|
@context | object | - | |
@id | string | required | |
@type | string | required | |
title | string | null | - | A short, human-readable summary of the problem. |
detail | string | null | - | A human-readable explanation specific to this occurrence of the problem. |
status | integer | null | - | |
instance | string | null | - | A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. |
type | string | - | A URI reference that identifies the problem type |
description | string | null | - |
| Property | Type | Required | Description |
|---|---|---|---|
title | string | null | - | A short, human-readable summary of the problem. |
detail | string | null | - | A human-readable explanation specific to this occurrence of the problem. |
status | integer | null | - | |
instance | string | null | - | A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. |
type | string | - | A URI reference that identifies the problem type |